> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/business-guides/employee-lifecycle-management/changes-to-employees/modify-a-user.md).

# Modify a user

{% hint style="info" %}
**Note:** Users can also be modified using **API v1**. However, for user and contract integrations, we strongly recommend using **API v2**, and this guide therefore describes user changes using API v2 only.

If you need to modify users using API v1, please refer to the [**API v1 OpenAPI specification**](https://docs.samesystem.dev/api-v1-reference/) for the available endpoint, request parameters, and data model.
{% endhint %}

If you need to correct values on a user, like custom fields, address information, bank account, phone number etc.. use the endpoint below:

PUT /{clientToken}/users/{id}

The parameter `{id}` is the unique id number of the user in SameSystem. The value is present in the user object: `user.id`. It can also be a custom Id, like an employee id or payroll number from an external system. If a custom id is used, you must include the parameter `useCustomId=true` in the call.

The parameter `fields[User]` is a comma separated list of selected user fields that must be returned. You can include almost any field from the user schema, including fields from nested (child) schemas.

For nested fields, use the full field path. For example:

`user.contracts.id`

Request body is an object conforming to the `UserUpdateInput` schema.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/business-guides/employee-lifecycle-management/changes-to-employees/modify-a-user.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
